import QtQuick 1.1
import com.nokia.meego 1.0

QueryDialog {
    id: root

    property bool _isClosing: false

    onRejected: _isClosing = true;
    onAccepted: _isClosing = true;

    onStatusChanged: {
        // Forced to wait 500 ms *after* the dialog is fully closed
        // because otherwise the fader stays on, blackening the whole screen
        if (_isClosing && status === DialogStatus.Closed)
            root.destroy(500);
    }

    Component.onDestruction: console.log("AutoQueryDialog self-destruct");
}
