function setProperties(obj, properties)
{
    for (var prop in properties)
        obj[prop] = properties[prop];
}

function createObject(obj, compName, properties, parent) {
    if (!obj) {
        var component = (typeof compName === "string") ? Qt.createComponent(compName) : compName;
        var newObj = component.createObject(parent || appWindow.pageStack, properties || {});

        if (compName !== component)
            component.destroy();

        return newObj;
    }

    setProperties(obj, properties || {});
    return obj;
}
