import QtQuick 1.1
import com.nokia.meego 1.0

AutoSelectDialog
{
    id: dlgSelShare
    titleText: qsTr("Select network share")
    selectedIndex: 0

    signal shareSelected(string share)

    model: ListModel {
        id: listModel
     }

    function clearShares() { listModel.clear(); }
    function addShare(share) { listModel.append({"name":share}) }

    onAccepted: shareSelected(listModel.get(selectedIndex).name);

    Component.onDestruction: console.log("SelectShareDialog destroyed");
}
