import QtQuick 1.0
import com.nokia.meego 1.0

MilCommonDialog
{
    property string msgText
    property bool showCancel: false

    __fadeInDelay: 0
    __fadeInDuration: 0
    __fadeOutDelay: 0
    __fadeOutDuration: 0

    content: Column {
        spacing: 20
        width: parent.width

        Row { height: 15; Text { text: " "; } }

        ProgressBar
        {
            id: indicator1
            anchors.horizontalCenter: parent.horizontalCenter
            width: 300
            indeterminate: true
        }

        Row { height: 15; Text { text: " "; } }
    }

    buttons: Button { text: qsTr("Cancel"); visible: showCancel; anchors.horizontalCenter: parent.horizontalCenter;
        onClicked: reject(); }

    onRejected: { folderForm.OnCancelConnect(); }
}
